ENTRY(_Reset)
SECTIONS
{
/*  . = 0xC0000000 + 0x00008000; */ /* from Linux */
 . = 0x10000;
  .startup . : { head.o(.text) }
  .text.head : {
  _stext = .;
  _sinittext = .;
  *(.text.head)
    }
    
     .init : { /* Init code and data		*/
  __proc_info_begin = .;
   *(.proc.info.init)
  __proc_info_end = .;
  __arch_info_begin = .;
   *(.arch.info.init)
  __arch_info_end = .;
 }
   .text : { 
   *(.text) }

. = ALIGN(8192);
 __data_loc = .;

 .data : AT(__data_loc) {
  _data = .; /* address in memory */
 }
     .bss : { 
       __bss_start = .; /* BSS				*/
     *(.bss) }
       _end = .;

      . = . + 0x1000; /* 4kB of stack memory */
       stack_top = .;
       }